Package org.apache.solr.common

## Class ConditionalMapWriter

- java.lang.Object
- - org.apache.solr.common.ConditionalMapWriter

All Implemented Interfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`, `org.noggit.JSONWriter.Writable`

    public class ConditionalMapWriter
    extends Object
    implements MapWriter

### Nested Class Summary

Nested Classes
`static class` `ConditionalMapWriter.EntryWriterWrapper`

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`static BiPredicate<CharSequence,​Object>` `NON_NULL_VAL`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

### Constructor Summary

Constructors
`ConditionalMapWriter​(MapWriter delegate, BiPredicate<CharSequence,​Object> predicate)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static BiPredicate<CharSequence,​Object>` `dedupeKeyPredicate​(Set<CharSequence> keys)`
`void` `writeMap​(MapWriter.EntryWriter ew)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`append, jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Field Detail

#### NON_NULL_VAL

    public static final BiPredicate<CharSequence,​Object> NON_NULL_VAL

### Constructor Detail

#### ConditionalMapWriter

    public ConditionalMapWriter​(MapWriter delegate,
                                BiPredicate<CharSequence,​Object> predicate)

### Method Detail

#### writeMap

    public void writeMap​(MapWriter.EntryWriter ew)
                  throws IOException

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

#### dedupeKeyPredicate

    public static BiPredicate<CharSequence,​Object> dedupeKeyPredicate​(Set<CharSequence> keys)